Get crypto wallet by ID
curl --request GET \
--url https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"statusCode": 200,
"message": "Crypto wallet retrieved successfully",
"data": [
{
"address": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"network": "solana",
"tokens": {
"usdc": {
"amount": "0",
"rawAmount": "0"
},
"usdt": {
"amount": "0",
"rawAmount": "0"
}
}
}
]
}
Crypto Wallets
Get Wallet by ID
Retrieve crypto wallet details by wallet ID
GET
/
api
/
v1
/
wallets
/
crypto
/
{walletId}
Get crypto wallet by ID
curl --request GET \
--url https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"statusCode": 200,
"message": "Crypto wallet retrieved successfully",
"data": [
{
"address": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"network": "solana",
"tokens": {
"usdc": {
"amount": "0",
"rawAmount": "0"
},
"usdt": {
"amount": "0",
"rawAmount": "0"
}
}
}
]
}
Path Parameters
string
required
The
data.id returned when the wallet is created. A wallet address cannot be used here.Headers
string
required
Active production API key. The wallet must belong to the authenticated merchant.
Request Example
curl -X GET https://api-production.fossapay.com/api/v1/wallets/crypto/55555555-5555-4555-8555-555555555555 \
-H "x-api-key: $FOSSAPAY_API_KEY"
const response = await fetch(
'https://api-production.fossapay.com/api/v1/wallets/crypto/55555555-5555-4555-8555-555555555555',
{
method: 'GET',
headers: {
'x-api-key': process.env.FOSSAPAY_API_KEY
}
}
);
if (!response.ok) {
throw new Error(`Request failed: ${response.status} ${response.statusText}`);
}
const wallet = await response.json();
Response
{
"status": "success",
"statusCode": 200,
"message": "Crypto wallet retrieved successfully",
"data": [
{
"address": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"network": "solana",
"tokens": {
"usdc": {
"amount": "0",
"rawAmount": "0"
},
"usdt": {
"amount": "0",
"rawAmount": "0"
}
}
}
]
}
Error Responses
The current service reports missing and non-owned crypto wallets as HTTP400; authentication failures return 401.Authorizations
Path Parameters
The data.id returned when the wallet is created. A wallet address cannot be used here.

